<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link
      href="/css/bootstrap.min.css"
      rel="stylesheet">
    <link href="/css/pd.css" rel="stylesheet">
    <link rel="shortcut icon" href="/images/favicon.ico">
    <title>{{ title }}</title>
    {% if redirect %}
      <meta http-equiv="refresh" content="3; URL={{ redirect_path }}" />
    {% endif %}
    {% if not scanners_updated %}
      <meta http-equiv="refresh" content="3; URL=main?reload_scanners=true"/>
    {% endif %}
  </head>

  <body>
    {% if alerts %}
      {% for alert in alerts %}
        <div class="alert
                    alert-{{ alert.type }}
                    alert-dismissible fade show"
             role="alert">
          {{ alert.content }}
          <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close">
          </button>
        </div>
      {% endfor %}
    {% endif %}

    <div class="container">
      <p><h1>{{ title }}</h1></p>
      {% block body %}
      {% endblock %}
      {% if not scanners_updated %}
        {% with loading_text="Loading scanners" %}
          {% include "loading.html" %}
        {% endwith %}
      {% endif %}
      {% include 'scanner_form.html' %}
      <div id="scanningProgress" hidden>
        {% with loading_text="Scanning" %}
          {% include "loading.html" %}
        {% endwith %}
      </div>
      <div id="extractingProgress" hidden>
        {% with loading_text="Extracting photos from the scanned image" %}
          {% include "loading.html" %}
        {% endwith %}
      </div>
      <div id="imageView">
        {% if image_list and scanners_updated %}
          {% include 'image_view.html' %}
        {% endif %}
      </div>

    </div>
    <script src="/js/bootstrap.bundle.min.js">
    </script>
    <script src="/js/main.js"></script>
  </body>

  <footer>
    <div class="text-center text-lg-start navbar navbar-expand-lg fixed-bottom ">
      <div class="container justify-content-center">
      </div>
    </div>
  </footer>
</html>
